## pino 0.2.11

=== CMakeLists.txt ===
# Copyright (C) 2010 Cristian Greco <cristian@regolo.cc>
# Distributed under the same license terms of the program itself (see COPYING).

cmake_minimum_required(VERSION 2.6)

project("pino" C)

set(VERSION "0.2.11")

set(APPNAME "pino")
set(PACKAGE "${APPNAME}")
set(PACKAGE_NAME "${APPNAME}")
set(PACKAGE_STRING "${APPNAME}-${VERSION}")
set(PACKAGE_VERSION "${APPNAME}-${VERSION}")
set(APP_VERSION "${VERSION}")
set(GETTEXT_PACKAGE "${APPNAME}")
string(REGEX REPLACE "([0-9])\\.([0-9]).*" "\\1.\\2" VERSION_MAJOR_MINOR ${VERSION})
file(READ AUTHORS _AUTHORS)
string(REPLACE "\n" "\\n" AUTHORS ${_AUTHORS})

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
)
add_definitions(-include config.h)


configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY
)
add_custom_target(uninstall "${CMAKE_COMMAND}" -P
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
include(ValaVersion)
include(ValaPrecompile)
find_package(Vala REQUIRED)
ensure_vala_version("0.7.9" MINIMUM)


option(ENABLE_DEBUG "Enable debug messages" OFF)
option(UBUNTU_ICONS "Install icons for Ubuntu mono themes" OFF)
set(pino_VALA_OPTIONS)


find_package(PkgConfig)
pkg_check_modules(GLIB REQUIRED "glib-2.0 >= 2.14.0")
pkg_check_modules(GOBJECT REQUIRED "gobject-2.0 >= 2.14.0")
pkg_check_modules(GTK+ REQUIRED "gtk+-2.0 >= 2.10.0")
pkg_check_modules(GEE REQUIRED "gee-1.0 >= 0.5.0")
pkg_check_modules(GIO REQUIRED "gio-2.0 >= 2.0")
pkg_check_modules(LIBNOTIFY REQUIRED "libnotify")
pkg_check_modules(LIBSOUP REQUIRED "libsoup-2.4 >= 2.4")
pkg_check_modules(LIBXML REQUIRED "libxml-2.0 >= 2.0")
pkg_check_modules(WEBKIT REQUIRED "webkit-1.0 >= 1.0")
pkg_check_modules(LIBUNIQUE REQUIRED "unique-1.0 >= 1.0")
pkg_check_modules(GTKSPELL REQUIRED "gtkspell-2.0 >= 2.0")
pkg_check_modules(LIBINDICATE "indicate >= 0.3")

set(pino_VALA_OPTIONS ${pino_VALA_OPTIONS} --thread)

if(${LIBINDICATE_FOUND})
  message(STATUS "libindicate found, support enabled...")
  set(pino_VALA_OPTIONS ${pino_VALA_OPTIONS} -D LIBINDICATE)
else()
  message(STATUS "libindicate not found, support disabled...")
endif()


if(ENABLE_DEBUG)
  set(pino_VALA_OPTIONS ${pino_VALA_OPTIONS} -D HAS_DEBUG)
endif()
if(UBUNTU_ICONS)
  set(pino_VALA_OPTIONS ${pino_VALA_OPTIONS} -D HAS_UBUNTUICONS)
endif()


file(GLOB pino_VALA_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "src/*.vala")
list(REMOVE_ITEM pino_VALA_SOURCES "src/oauth-client.vala")


vala_precompile(
pino_C_SOURCES
  ${pino_VALA_SOURCES}
PACKAGES
  glib-2.0
  gobject-2.0
  gtk+-2.0
  gee-1.0
  gio-2.0
  libnotify
  libsoup-2.4
  libxml-2.0
  webkit-1.0
  unique-1.0
OPTIONS
  ${pino_VALA_OPTIONS}
CUSTOM_VAPIS
  ${CMAKE_CURRENT_SOURCE_DIR}/src/vapi/config.vapi
)


add_definitions(
  ${GLIB_CFLAGS}
  ${GOBJECT_CFLAGS}
  ${GTK+_CFLAGS}
  ${GEE_CFLAGS}
  ${GIO_CFLAGS}
  ${LIBNOTIFY_CFLAGS}
  ${LIBSOUP_CFLAGS}
  ${LIBXML_CFLAGS}
  ${WEBKIT_CFLAGS}
  ${LIBUNIQUE_CFLAGS}
  ${GTKSPELL_CFLAGS}
  ${LIBINDICATE_CFLAGS}
)

link_libraries(
  ${GLIB_LIBRARIES}
  ${GOBJECT_LIBRARIES}
  ${GTK+_LIBRARIES}
  ${GEE_LIBRARIES}
  ${GIO_LIBRARIES}
  ${LIBNOTIFY_LIBRARIES}
  ${LIBSOUP_LIBRARIES}
  ${LIBXML_LIBRARIES}
  ${WEBKIT_LIBRARIES}
  ${LIBUNIQUE_LIBRARIES}
  ${GTKSPELL_LIBRARIES}
  ${LIBINDICATE_LIBRARIES}
)

include_directories(src/vapi/)
add_definitions(-std=c99)

add_executable(pino
  ${pino_C_SOURCES}
  #src/vapi/sha1.c
  src/vapi/time_parser.c
)

install(TARGETS pino DESTINATION bin)


find_program(MSGFMT_EXECUTABLE msgfmt)
file(GLOB PO_FILES "po/*.po")
set(MO_FILES)
foreach(PO_FILE ${PO_FILES})
  get_filename_component(PO_FILE_BASE ${PO_FILE} NAME_WE)
  set(MO_FILE_PATH ${CMAKE_CURRENT_BINARY_DIR}/po)
  set(MO_FILE ${MO_FILE_PATH}/${PO_FILE_BASE}.mo)

  file(MAKE_DIRECTORY "${MO_FILE_PATH}")
  add_custom_command(
    OUTPUT ${MO_FILE}
    COMMAND ${MSGFMT_EXECUTABLE} -o ${MO_FILE} ${PO_FILE})

  install(FILES ${MO_FILE}
    DESTINATION share/locale/${PO_FILE_BASE}/LC_MESSAGES
    RENAME ${GETTEXT_PACKAGE}.mo)
  set(MO_FILES ${MO_FILES} ${MO_FILE})
endforeach()
add_custom_target(locales ALL DEPENDS ${MO_FILES})


set(pino_IMAGES
  img/delete_status.png
  img/direct_fresh.svg
  img/direct_reply.png
  img/direct.svg
  img/favorite_no.png
  img/favorite.png
  img/mentions_fresh.svg
  img/mentions.svg
  img/progress.gif
  img/reply.png
  img/re_tweet.png
  img/timeline_fresh.svg
  img/timeline.svg
  img/userpic.svg
)
install(FILES ${pino_IMAGES} DESTINATION share/pino/icons)


set(pino_ICONS
  img/pino_fresh.svg
  img/pino.svg
)
install(FILES ${pino_ICONS} DESTINATION share/icons/hicolor/scalable/apps)


set(pino_UBUNTU_ICONS_DARK
 img/ubuntu-mono-dark/pino-tray-icon.svg
 img/ubuntu-mono-dark/pino-tray-icon-fresh.svg
)
set(pino_UBUNTU_ICONS_LIGHT
  img/ubuntu-mono-light/pino-tray-icon.svg
  img/ubuntu-mono-light/pino-tray-icon-fresh.svg
)
if(UBUNTU_ICONS)
  install(FILES ${pino_UBUNTU_ICONS_DARK} DESTINATION share/icons/ubuntu-mono-dark/apps/22)
  install(FILES ${pino_UBUNTU_ICONS_LIGHT} DESTINATION share/icons/ubuntu-mono-light/apps/22)
endif()


set(pino_DOCS
  COPYING
  README
  AUTHORS
  INSTALL
)
install(FILES ${pino_DOCS} DESTINATION share/doc/pino)


set(pino_TEMPLATES
  templates/main.tpl
  templates/status.tpl
  templates/status_direct.tpl
  templates/status_me.tpl
)
install(FILES ${pino_TEMPLATES} DESTINATION share/pino/templates)


install(FILES pino.desktop DESTINATION share/applications)
install(FILES indicator/pino DESTINATION share/indicators/messages/applications)

=== wscript ===
#!/usr/bin/env python

import intltool

VERSION = "0.2.10"
VERSION_MAJOR_MINOR =  ".".join(VERSION.split(".")[0:2])
APPNAME = "pino"

srcdir = '.'
blddir = '_build_'

def set_options(opt):
	opt.tool_options('compiler_cc')
	opt.tool_options('gnu_dirs')
	opt.add_option('--ubuntuicons', action = 'store_true', default = False,
		help = 'Install icons for Ubuntu mono themes')
	opt.add_option('--debug', action = 'store_true', default = False,
		help = 'Enable debug messages')

def configure(conf):
	conf.check_tool('compiler_cc vala gnu_dirs intltool')
	conf.check_cfg(package='glib-2.0', uselib_store='GLIB',
		atleast_version='2.14.0', mandatory=True, args='--cflags --libs')
	conf.check_cfg(package='gobject-2.0', uselib_store='GOBJECT',
		atleast_version='2.14.0', mandatory=True, args='--cflags --libs')
	conf.check_cfg(package='gtk+-2.0', uselib_store='GTK+',
		atleast_version='2.10.0', mandatory=True, args='--cflags --libs')
	conf.check_cfg(package='gee-1.0', uselib_store='GEE',
		atleast_version='0.5.0', mandatory=True, args='--cflags --libs')
	conf.check_cfg(package='gio-2.0', uselib_store='GIO',
		atleast_version='2.0', mandatory=True, args='--cflags --libs')
	conf.check_cfg(package='libnotify', uselib_store='LIBNOTIFY',
		mandatory=True, args='--cflags --libs')
	#conf.check_cfg(package='libsexy', uselib_store='GTK+',
	#		mandatory=True, args='--cflags --libs')
	conf.check_cfg(package='libsoup-2.4', uselib_store='LIBSOUP',
		atleast_version='2.4', mandatory=True, args='--cflags --libs')
	conf.check_cfg(package='libxml-2.0', uselib_store='LIBXML',
		atleast_version='2.0', mandatory=True, args='--cflags --libs')
	conf.check_cfg(package='webkit-1.0', uselib_store='WEBKIT',
		atleast_version='1.0', mandatory=True, args='--cflags --libs')
	conf.check_cfg(package='unique-1.0', uselib_store='LIBUNIQUE',
		atleast_version='1.0', mandatory=True, args='--cflags --libs')
	conf.check_cfg(package='gtkspell-2.0', uselib_store='GTKSPELL',
		atleast_version='2.0', mandatory=True, args='--cflags --libs')
	conf.check_cfg(package='indicate', uselib_store='LIBINDICATE',
		atleast_version='0.3', mandatory=False, args='--cflags --libs')

	conf.env.append_value('CCFLAGS', '-std=c99')
	
	conf.define('PACKAGE', APPNAME)
	conf.define('PACKAGE_NAME', APPNAME)
	conf.define('PACKAGE_STRING', APPNAME + '-' + VERSION)
	conf.define('PACKAGE_VERSION', APPNAME + '-' + VERSION)

	conf.define('APP_VERSION', VERSION)
	conf.define('DESKTOP_FILE_PATH', conf.env.PREFIX + '/share/applications/pino.desktop')
	conf.define('APP_PATH', conf.env.PREFIX + '/bin/pino')
	conf.define('LOGO_PATH', conf.env.PREFIX + '/share/icons/hicolor/scalable/apps/pino.svg')
	conf.define('LOGO_FRESH_PATH', conf.env.PREFIX + '/share/icons/hicolor/scalable/apps/pino_fresh.svg')
	conf.define('MENTIONS_PATH', conf.env.PREFIX + '/share/pino/icons/mentions.svg')
	conf.define('MENTIONS_FRESH_PATH', conf.env.PREFIX + '/share/pino/icons/mentions_fresh.svg')
	conf.define('TIMELINE_PATH', conf.env.PREFIX + '/share/pino/icons/timeline.svg')
	conf.define('TIMELINE_FRESH_PATH', conf.env.PREFIX + '/share/pino/icons/timeline_fresh.svg')
	conf.define('DIRECT_PATH', conf.env.PREFIX + '/share/pino/icons/direct.svg')
	conf.define('DIRECT_FRESH_PATH', conf.env.PREFIX + '/share/pino/icons/direct_fresh.svg')
	conf.define('PROGRESS_PATH', conf.env.PREFIX + '/share/pino/icons/progress.gif')
	conf.define('DIRECT_REPLY_PATH', conf.env.PREFIX + '/share/pino/icons/direct_reply.png')
	conf.define('FAVORITE_PATH', conf.env.PREFIX + '/share/pino/icons/favorite.png')
	conf.define('FAVORITE_NO_PATH', conf.env.PREFIX + '/share/pino/icons/favorite_no.png')
	#conf.define('FAVORITE_MENU_PATH', conf.env.PREFIX + '/share/pino/icons/favorite_menu.svg')
	conf.define('REPLY_PATH', conf.env.PREFIX + '/share/pino/icons/reply.png')
	conf.define('RETWEET_PATH', conf.env.PREFIX + '/share/pino/icons/re_tweet.png')
	conf.define('DELETE_PATH', conf.env.PREFIX + '/share/pino/icons/delete_status.png')
	conf.define('USERPIC_PATH', conf.env.PREFIX + '/share/pino/icons/userpic.svg')
	conf.define('TEMPLATES_PATH', conf.env.PREFIX + '/share/pino/templates')
	conf.define('VERSION_MAJOR_MINOR', VERSION_MAJOR_MINOR)
	conf.define('LOCALE_DIR', conf.env.PREFIX + '/share/locale/')
	conf.define('GETTEXT_PACKAGE', APPNAME)
	conf.define('APPNAME', APPNAME)

	import Options
	conf.env.UBUNTUICONS = Options.options.ubuntuicons
	conf.env.DEBUG = Options.options.debug
	conf.define('CONS_KEY', 'k6R1A0PPkmpRcThEdPF1Q')
	conf.define('CONS_SEC', 'TKneXwqslxkbaR3RQGcvvvGU4Qk01qh8HAhRIMN74')
	
	# AUTHORS --> About dialog
	f = open('AUTHORS', 'r')
	data = f.read()
	f.close()
	import re
	data = re.sub(r'\n', r'\\n', data)
	conf.define('AUTHORS', data)
	#end
	
	conf.write_config_header("config.h")
	init_defs(conf.env.PREFIX)

def init_defs(prefix):
	"""
	import re
	data = re.sub(r'string PREFIX = \"(.*)\";', 'string PREFIX = "' + prefix + '";', data)
	
	f = open('src/defs.vala', 'w')
	f.write(data)
	f.close()
	"""

def build(bld):
	bld.add_subdirs('src')
	#bld.add_subdirs('liboauth-client')
	bld.add_subdirs('templates')
	bld.add_subdirs('po')
	
	bld.install_files('${PREFIX}/share/icons/hicolor/scalable/apps', 'img/pino.svg')
	bld.install_files('${PREFIX}/share/icons/hicolor/scalable/apps', 'img/pino_fresh.svg')
	bld.install_files('${PREFIX}/share/pino/icons', 'img/mentions.svg')
	bld.install_files('${PREFIX}/share/pino/icons', 'img/mentions_fresh.svg')
	bld.install_files('${PREFIX}/share/pino/icons', 'img/timeline.svg')
	bld.install_files('${PREFIX}/share/pino/icons', 'img/timeline_fresh.svg')
	bld.install_files('${PREFIX}/share/pino/icons', 'img/direct.svg')
	bld.install_files('${PREFIX}/share/pino/icons', 'img/direct_fresh.svg')
	bld.install_files('${PREFIX}/share/pino/icons', 'img/progress.gif')
	bld.install_files('${PREFIX}/share/pino/icons', 'img/direct_reply.png')
	bld.install_files('${PREFIX}/share/pino/icons', 'img/favorite.png')
	bld.install_files('${PREFIX}/share/pino/icons', 'img/favorite_no.png')
	#bld.install_files('${PREFIX}/share/pino/icons', 'img/favorite_menu.svg')
	bld.install_files('${PREFIX}/share/pino/icons', 'img/reply.png')
	bld.install_files('${PREFIX}/share/pino/icons', 'img/re_tweet.png')
	bld.install_files('${PREFIX}/share/pino/icons', 'img/delete_status.png')
	bld.install_files('${PREFIX}/share/pino/icons', 'img/userpic.svg')
	bld.install_files('${PREFIX}/share/applications', 'pino.desktop')
	bld.install_files('${PREFIX}/share/doc/pino', 'COPYING README AUTHORS INSTALL')
	bld.install_files('${PREFIX}/share/indicators/messages/applications', 'indicator/pino')

	if bld.env['UBUNTUICONS']:
		bld.install_files('${PREFIX}/share/icons/ubuntu-mono-dark/apps/22', 'img/ubuntu-mono-dark/pino-tray-icon.svg')
		bld.install_files('${PREFIX}/share/icons/ubuntu-mono-dark/apps/22', 'img/ubuntu-mono-dark/pino-tray-icon-fresh.svg')
		bld.install_files('${PREFIX}/share/icons/ubuntu-mono-light/apps/22', 'img/ubuntu-mono-light/pino-tray-icon.svg')
		bld.install_files('${PREFIX}/share/icons/ubuntu-mono-light/apps/22', 'img/ubuntu-mono-light/pino-tray-icon-fresh.svg')
	#import subprocess
	#subprocess.Popen(['desktop-file-install', '--rebuild-mime-info-cache', bld.env.PREFIX + '/share/applications/pino.desktop'], stdout=subprocess.PIPE)

def shutdown(bld):
	"""
	import UnitTest
	unittest = UnitTest.unit_test()
	unittest.want_to_see_test_output = True
	unittest.want_to_see_test_error = True
	unittest.run()
	unittest.print_results()
	"""

=== po/wscript ===
#! /usr/bin/env python
# encoding: utf-8

def build(bld):
	prog = bld.new_task_gen(
		features = 'intltool_po',
		appname = 'pino')

=== src/wscript ===
#!/usr/bin/env python

def build(bld):
	prog = bld.new_task_gen(
		'cc', 'program',
		name = 'pino',
		target = 'pino',
		uselib = 'GTK+ GOBJECT LIBXML GEE LIBNOTIFY LIBSOUP WEBKIT GTHREAD LIBUNIQUE GTKSPELL',
		packages = 'gtk+-2.0 gee-1.0 gio-2.0 libnotify libsoup-2.4 libxml-2.0 webkit-1.0 config unique-1.0',
		ccflags = ['-include', 'config.h', '-DYAML_DECLARE_STATIC',],
		vapi_dirs = 'vapi/',
		source = bld.path.ant_glob(excl = 'oauth-client.vala', incl = 'vapi/*.c *.vala'),
		threading = True
	)
	if bld.env['HAVE_LIBINDICATE']:
		prog.env.append_value('VALAFLAGS', '-D LIBINDICATE')
		#prog.env.append_value('VALAFLAGS', '--disable-assert')
		prog.uselib += ' LIBINDICATE'

	if bld.env['DEBUG']:
		prog.env.append_value('VALAFLAGS', '-D HAS_DEBUG')
	if bld.env['UBUNTUICONS']:
		prog.env.append_value('VALAFLAGS', '-D HAS_UBUNTUICONS')
	
	prog.install_path = '${PREFIX}/bin'
	prog.includes = 'vapi/'

=== templates/wscript ===
#!/usr/bin/env python

def build(bld):
	bld.install_files('${PREFIX}/share/pino/templates', 'main.tpl')
	bld.install_files('${PREFIX}/share/pino/templates', 'status.tpl')
	bld.install_files('${PREFIX}/share/pino/templates', 'status_me.tpl')
	bld.install_files('${PREFIX}/share/pino/templates', 'status_direct.tpl')

=== debian/changelog ===
pino (0.2.11-9) unstable; urgency=low

  * Upload to unstable 

 -- Julien Valroff <julien@debian.org>  Sun, 31 Jul 2011 08:08:02 +0200

pino (0.2.11-8) experimental; urgency=low

  * Transition to webkit 1.3 (Closes: #635422)

 -- Julien Valroff <julien@debian.org>  Mon, 25 Jul 2011 21:05:20 +0200

pino (0.2.11-7) experimental; urgency=low

  * Fix FTBFS on Ubuntu (Closes: #635152): build depends on valac-0.10
    instead of valac (<< 0.11) 

 -- Julien Valroff <julien@debian.org>  Sat, 23 Jul 2011 14:51:50 +0200

pino (0.2.11-6) experimental; urgency=low

  * Improve copyright information 
  * Add patch to fix FTBFS with libnotify 0.7 (Closes: #630296)
  * Adjust build dependencies versioning 

 -- Julien Valroff <julien@debian.org>  Mon, 13 Jun 2011 08:17:14 +0200

pino (0.2.11-5) unstable; urgency=low

  * Update to new policy 3.9.2 (no changes needed)
  * Add menu file
  * Update VCS fields 

 -- Julien Valroff <julien@debian.org>  Sun, 24 Apr 2011 08:29:16 +0200

pino (0.2.11-4) unstable; urgency=low

  * Apply patches from upstream bug tracker to allow build with recent
    vala versions (Closes: #614431)

 -- Julien Valroff <julien@debian.org>  Sun, 27 Feb 2011 14:21:52 +0100

pino (0.2.11-3) unstable; urgency=low

  * Bump debhelper compat to 8
  * Upload to unstable 

 -- Julien Valroff <julien@debian.org>  Sun, 13 Feb 2011 09:50:11 +0100

pino (0.2.11-2) experimental; urgency=low

  * Update my email address 
  * Remove DMUA field, now useless 
  * Update copyright information
  * Add patch to fix Spanish translation - thanks to Josue Abarca
    <jmaslibre@debian.org.gt> (Closes: #610502) 

 -- Julien Valroff <julien@debian.org>  Wed, 19 Jan 2011 18:16:51 +0100

pino (0.2.11-1) experimental; urgency=low

  * Initial release (Closes: #573040)

 -- Julien Valroff <julien@kirya.net>  Mon, 16 Aug 2010 14:58:58 +0200

=== debian/control ===
Source: pino
Section: net
Priority: optional
Maintainer: Julien Valroff <julien@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8),
               cmake (>= 2.6.0),
               valac-0.10,
               libglib2.0-dev,
               libgtk2.0-dev (>= 2.10),
               libgee-dev (>= 0.5.0),
               libnotify-dev (>= 0.7),
               libsoup2.4-dev,
               libxml2-dev,
               libwebkitgtk-dev,
               libunique-dev (>= 1.0),
               libgtkspell-dev,
               gettext,
               libindicate-dev
Homepage: http://pino-app.appspot.com/
Vcs-Git: git://git.kirya.net/debian/pino.git
Vcs-Browser: http://git.kirya.net/?p=debian/pino.git;a=summary

Package: pino
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple and fast microblogging client
 Pino is a simple and fast Twitter, Identi.ca and StatusNet client.
 .
 Pino provides several advanced features:
  * Multi account support
  * Conversation view
  * Single instance mode
  * Option for hiding tray icon
  * Notification with application icon (for "docks" users) 
  * Fresh statuses color

=== debian/watch ===
version=3
http://code.google.com/p/pino-twitter/downloads/list?can=1 http://pino-twitter.googlecode.com/files/pino-([\d\.]*)\.tar\.bz2

## pino 0.2.11+dfsg

=== debian/changelog ===
pino (0.2.11+dfsg-3) unstable; urgency=low

  * Add patch to allow minimal porting for new libindicator - thanks to Evgeni
    Golov <evgeni@debian.org> (Closes: #660775)
  * Update to final DP-5 URI 
  * Bump policy version to 3.9.3

 -- Julien Valroff <julien@debian.org>  Sat, 25 Feb 2012 09:28:17 +0100

pino (0.2.11+dfsg-2) unstable; urgency=low

  * Add librsvg2-common to dependencies (Closes: #655217)
  * Apply patch to fix FTBFS - thanks to Leo Iannacone <l3on@ubuntu.com>
    (Closes: #660478)

 -- Julien Valroff <julien@debian.org>  Sun, 19 Feb 2012 15:43:02 +0100

pino (0.2.11+dfsg-1) unstable; urgency=low

  * Remove waf installation script from the source package (Closes: #654496)
  * Update DEP-5 uri
  * Fix watch file 

 -- Julien Valroff <julien@debian.org>  Wed, 04 Jan 2012 20:21:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Julien Valroff <julien@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 8),
                cmake (>= 2.6.0),
                valac-0.10,
@@ -23,7 +23,7 @@
 
 Package: pino
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common
 Description: simple and fast microblogging client
  Pino is a simple and fast Twitter, Identi.ca and StatusNet client.
  .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed"

override_dh_auto_install:
	dh_auto_install
	-rm -f $(CURDIR)/debian/pino/usr/share/doc/pino/INSTALL
	-rm -f $(CURDIR)/debian/pino/usr/share/doc/pino/COPYING

=== debian/watch ===
version=3
opts=dversionmangle=s/\+.*(?!dfsg)$// \
http://code.google.com/p/pino-twitter/downloads/list?can=1 //pino-twitter.googlecode.com/files/pino-(.+)\.tar\.bz2
